Subject: stash refuses to pop

From: Phillip Susi <[email-masked]>
Date: Tue, 10 Apr 2012 13:52:16 -0400

git stash refuses to apply a stash if it touches files that are 
modified.  Using stash -p to selectively stash some hunks of a file and 
then immediately trying to pop that stash causes this failure every 
time.  This seems incredibly  broken, and there does not seem to be a 
force switch.  How can you get the stash applied?